import type { Compound, Value } from "./values";
import type { GenericPointer } from "./pointer";
import { Dictionary, Set } from "./dictionary";

export function isCompound<T = GenericPointer>(x: Value<T>): x is Compound<T>
{
    return (Array.isArray(x) || Set.isSet(x) || Dictionary.isDictionary(x));
}
